GET https://api.ap1.datadoghq.com/api/v2/cost/aws_cur_config https://api.ap2.datadoghq.com/api/v2/cost/aws_cur_config https://api.datadoghq.eu/api/v2/cost/aws_cur_config https://api.ddog-gov.com/api/v2/cost/aws_cur_config https://api.us2.ddog-gov.com/api/v2/cost/aws_cur_config https://api.datadoghq.com/api/v2/cost/aws_cur_config https://api.us3.datadoghq.com/api/v2/cost/aws_cur_config https://api.us5.datadoghq.com/api/v2/cost/aws_cur_config
Overview List the AWS CUR configs.
This endpoint requires the cloud_cost_management_read permission.
OAuth apps require the cloud_cost_management_read authorization scope to access this endpoint.
Response OK
List of AWS CUR configs.
Expand All
Attributes for An AWS CUR config.
The account filtering configuration.
The AWS account IDs to be excluded from your billing dataset. This field is used when include_new_accounts is true.
Whether or not to automatically include new member accounts by default in your billing dataset.
The AWS account IDs to be included in your billing dataset. This field is used when include_new_accounts is false.
The AWS bucket name used to store the Cost and Usage Report.
The region the bucket is located in.
The timestamp when the AWS CUR config was created.
The error messages for the AWS CUR config.
DEPRECATED : The number of months the report has been backfilled.
The name of the Cost and Usage Report.
The report prefix used for the Cost and Usage Report.
The status of the AWS CUR.
The timestamp when the AWS CUR config status was updated.
The timestamp when the AWS CUR config status was updated.
The ID of the AWS CUR config.
Type of AWS CUR config.
Allowed enum values: aws_cur_config
default: aws_cur_config
{
"data" : [
{
"attributes" : {
"account_filters" : {
"excluded_accounts" : [
"123456789123" ,
"123456789143"
],
"include_new_accounts" : true ,
"included_accounts" : [
"123456789123" ,
"123456789143"
]
},
"account_id" : "123456789123" ,
"bucket_name" : "dd-cost-bucket" ,
"bucket_region" : "us-east-1" ,
"created_at" : "string" ,
"error_messages" : [],
"months" : "integer" ,
"report_name" : "dd-report-name" ,
"report_prefix" : "dd-report-prefix" ,
"status" : "active" ,
"status_updated_at" : "string" ,
"updated_at" : "string"
},
"id" : "string" ,
"type" : "aws_cur_config"
}
]
} Forbidden
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/cost/aws_cur_config " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
List Cloud Cost Management AWS CUR configs returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.cloud_cost_management_api import CloudCostManagementApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = CloudCostManagementApi ( api_client )
response = api_instance . list_cost_awscur_configs ()
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" python3 "example.py"
# List Cloud Cost Management AWS CUR configs returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: CloudCostManagementAPI . new
p api_instance . list_cost_awscur_configs ()
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" rb "example.rb"
// List Cloud Cost Management AWS CUR configs returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewCloudCostManagementApi ( apiClient )
resp , r , err := api . ListCostAWSCURConfigs ( ctx )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `CloudCostManagementApi.ListCostAWSCURConfigs`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `CloudCostManagementApi.ListCostAWSCURConfigs`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" go run "main.go"
// List Cloud Cost Management AWS CUR configs returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.CloudCostManagementApi ;
import com.datadog.api.client.v2.model.AwsCURConfigsResponse ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
CloudCostManagementApi apiInstance = new CloudCostManagementApi ( defaultClient );
try {
AwsCURConfigsResponse result = apiInstance . listCostAWSCURConfigs ();
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling CloudCostManagementApi#listCostAWSCURConfigs" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" java "Example.java"
// List Cloud Cost Management AWS CUR configs returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_cloud_cost_management ::CloudCostManagementAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = CloudCostManagementAPI ::with_config ( configuration );
let resp = api . list_cost_awscur_configs (). await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" cargo run
/**
* List Cloud Cost Management AWS CUR configs returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . CloudCostManagementApi ( configuration );
apiInstance
. listCostAWSCURConfigs ()
. then (( data : v2.AwsCURConfigsResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<DD_API_KEY>" DD_APP_KEY = "<DD_APP_KEY>" tsc "example.ts"